%define git 1

%if %{git}
%define commit 967a9627077cd2249093dbc552795d44dd82a729
%endif

%define rel 8

Name:		solang
Version:	0.3
%if %{git}
Release:	%{rel}.%{commit}git%{?dist}
%else
Release:	%{rel}%{?dist}
%endif
Summary:	A Photo Manager for GNOME
Group:		Applications/Multimedia
License:	GPLv3+
URL:		https://savannah.nongnu.org/projects/solang/
%if %{git}
Source0:	http://git.savannah.gnu.org/cgit/solang.git/snapshot/%{name}-%{commit}.tar.gz
%else
Source0:	http://download.savannah.nongnu.org/releases/solang/%{name}-%{version}.tar.gz
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:	exiv2-devel
BuildRequires:	libgdamm-devel
BuildRequires:	libgda-sqlite-devel
BuildRequires:	libgdl-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	gtkimageview-devel
BuildRequires:	gtkmm24-devel
BuildRequires:	desktop-file-utils
BuildRequires:	flickcurl-devel
BuildRequires:	libsoup-devel
BuildRequires:	webkitgtk-devel
BuildRequires:	babl-devel
BuildRequires:	gegl-devel
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	brasero-devel >= 2.28.3
BuildRequires:	nautilus-devel

Requires:	libgda-sqlite


%description
Solang is a free photo manager that will act as a front-end for
directory based local storage as well as remote photo-storage systems, as can
be said, on the "Cloud". Basic editing support is also planned as well as a
small pipelaine for RAW processing.

The aim of this project is to break the performance charecteristics
of current popular photo management softwares and provide a fast and reliable
alternative that does not place humongous demands on user's hardware resources
even to meet basic functionality.

%prep
%if %{git}
%setup -q -n %{name}-%{commit}
%else
%setup -q -n %{name}-%{version}
%endif


%if %{git}
autoreconf -i -f
intltoolize --force
%endif

%build
%configure	--docdir=%{_docdir}/%{name}-%{version}
make %{?smp_flags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}

desktop-file-install					\
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications		\
${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Sun Feb 14 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.3-8.967a9627077cd2249093dbc552795d44dd82a729git
- New git snapshot
- Removed brasero functionality patch

* Sun Jan 24 2010 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.3-7.1fa4f602dd79f8be1f4c6e4be4f86e42970d84a9git
- rebuild (babl)

* Mon Jan 04 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.3-6 
- rebuild (exiv2)

* Sun Dec 20 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.3-5.1fa4f602dd79f8be1f4c6e4be4f86e42970d84a9git
- Dropped patch porting to libgdamm-4.x (merged upstream)
- Dropped patch silencing gtk+ warnings (merged upstream)
- Patch adding a basic functional brasero destination
- Changes from upstream since last release :
	+ Enlarged and slideshow renderer improvements
	+ Added French translation
	+ Fixed the title of ExporterDialog
	+ Ported to libgdamm-4.x
	+ Added solang.doap: http://live.gnome.org/MaintainersCorner#maintainers
	+ Fixed internationalization
	+ Updated French translation
	+ Added an expanded toolbar separator to solang.ui
	+ Moved the Zoomer's functionality to the main Gtk::Toolbar
	+ Carried out some housekeeping
	+ Sanitized ProgressObserver usage
	+ Correctly detect failure in extracting thumbnails using Exiv2
	+ ContentTypeRepo::is_gdk_supported should take a content-type
	+ Automatic rotation according to Exif tags
	+ Use ThumbbufMaker in Thumbnail::generate_using_gdkpixbuf
	+ Improved content-type guessing and Gdk::PixbufLoader selection
	+ Added a PixbufMaker with both async and sync capabilities
	+ Removed zoomer.cpp from POTFILES.in

* Fri Nov 27 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.3-3
- Added the patch 0001-Ported-to-libgdamm-4.x.patch
- Cleaned up some dependencies

* Thu Nov 05 2009 Bill Nottingham <notting@redhat.com> - 0.3-2
- Rebuild against newer libgdl

* Mon Sep 21 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.3-1
- New upstream release
- Added a patch from upstream to silence some Gtk+ warnings

* Thu Jul 11 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.2-2
- Cleaned up the dependencies

* Thu Jul 09 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.2-1
- New upstream release

* Wed Jul 08 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.2-0.1.20090707
- New upstream tarball

* Tue Jul 07 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.1-2.20090707git
- New git snapshot

* Wed Jun 24 2009 Hicham HAOUARI <funnylife_ma@yahoo.com> - 0.1-1.20090624git
- Initial package for Fedora
